Subject: Re: bug#65418: 29.1; Eglot: support clangd inactiveRegions extension

From: Felician Nemeth <[email-masked]>
Date: Mon, 21 Aug 2023 21:04:40 +0200

Filippo Argiolas <[email-masked]> writes:

> [...] This was maybe possibile until now with clangd with semantic
> tokens but they've recently introduced a new protocol extension that
> should solve this problem in a much easier to implement way.

In the past, João wasn't keen on supporting non-standard features in
Eglot.  I Cc'd him anyway as he is the maintainer of Eglot.

> Not sure UI-wise what would be the best approach, vscode patch reduces
> the opacity of the inactive regions but rendering them as comment
> would also be nice at first.

Maybe hide-ifdef-mode is good for providing inspiration.